From: "Jonas Stein" <jstein@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/shutter/
Date: Mon, 24 Jun 2019 10:17:35 +0000 (UTC) [thread overview]
Message-ID: <1561371436.1668173bee719d0cafb608bd3c29d39a8cf11bcf.jstein@gentoo> (raw)
commit: 1668173bee719d0cafb608bd3c29d39a8cf11bcf
Author: Jonas Stein <jstein <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 24 10:16:42 2019 +0000
Commit: Jonas Stein <jstein <AT> gentoo <DOT> org>
CommitDate: Mon Jun 24 10:17:16 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1668173b
x11-misc/shutter: Version bump and cleanup
Bump to 0.94.3
change SRC_URI to launchpad
Bump EAPI=7
add xdg_icon_cache_update, xdg_desktop_database_update
drop eutils
drop obsolete patches
Closes: https://bugs.gentoo.org/687042
Closes: https://bugs.gentoo.org/687960
Package-Manager: Portage-2.3.67, Repoman-2.3.14
Signed-off-by: Jonas Stein <jstein <AT> gentoo.org>
x11-misc/shutter/Manifest | 1 +
x11-misc/shutter/shutter-0.94.3.ebuild | 89 ++++++++++++++++++++++++++++++++++
2 files changed, 90 insertions(+)
diff --git a/x11-misc/shutter/Manifest b/x11-misc/shutter/Manifest
index 0cb2b89a380..d7a0818090e 100644
--- a/x11-misc/shutter/Manifest
+++ b/x11-misc/shutter/Manifest
@@ -1 +1,2 @@
DIST shutter-0.93.1.tar.gz 3432204 BLAKE2B 7c61942c1ddc288b912e8addd31111309b2b7305582f0d684f364552e4695ad45a54b2ef39b456f4410ee1434f20422c1abf0fffd7c15525e25810fd58a28008 SHA512 50a635fdf73454b15351a7e2c4507bf0f9fd816273affbed412f42b1032087304ecf1fb4a4b655bc056820f267b98214ff5104f4fcd9e843f78e70ac4a7a4a04
+DIST shutter-0.94.3.tar.gz 3375447 BLAKE2B e996966722999ee11ed3c185fd17a77e8982688ec17253f3558f89ccfd2e3afefec34d9214acffb10009fc1a28f587a5b994e32d7bb3538cde5e4f398b8e7b95 SHA512 7f67ed6fbc94aee4b6caa73662ab20684e2d8bdfd7208dcd407bdce4e1b93f2aa1fa256ad6bce66b92c741500726b90e5701e7f31bc831709568e5c4c27bff3b
diff --git a/x11-misc/shutter/shutter-0.94.3.ebuild b/x11-misc/shutter/shutter-0.94.3.ebuild
new file mode 100644
index 00000000000..1bdd2fcc248
--- /dev/null
+++ b/x11-misc/shutter/shutter-0.94.3.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit xdg-utils desktop
+
+DESCRIPTION="Feature-rich screenshot program"
+HOMEPAGE="http://shutter-project.org/"
+#SRC_URI="http://shutter-project.org/wp-content/uploads/releases/tars/${P}.tar.gz"
+SRC_URI="https://launchpad.net/shutter/0.9x/${PV}/+download/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="drawing"
+
+RDEPEND="dev-lang/perl
+ drawing? ( dev-perl/Goo-Canvas )
+ dev-perl/libxml-perl
+ dev-perl/gnome2-canvas
+ dev-perl/gnome2-perl
+ dev-perl/gnome2-wnck
+ dev-perl/Gtk2-Unique
+ dev-perl/Gtk2-ImageView
+ dev-perl/File-DesktopEntry
+ dev-perl/File-HomeDir
+ dev-perl/File-Which
+ dev-perl/JSON
+ dev-perl/File-Copy-Recursive
+ dev-perl/File-MimeInfo
+ dev-perl/Locale-gettext
+ dev-perl/Net-DBus
+ dev-perl/Proc-Simple
+ dev-perl/Proc-ProcessTable
+ dev-perl/Sort-Naturally
+ dev-perl/WWW-Mechanize
+ dev-perl/X11-Protocol
+ dev-perl/XML-Simple
+ dev-perl/libwww-perl
+ virtual/imagemagick-tools[perl]"
+
+src_prepare() {
+ default
+
+ use drawing || eapply "${FILESDIR}"/${PN}-0.90-goocanvas.patch
+
+ #Fix tray icon because it doesn't pick the right icon using various themes
+ sed -i -e "/\$tray->set_from_icon_name/s:set_from_icon_name:set_from_file:" \
+ -e "s:shutter-panel:/usr/share/icons/hicolor/scalable/apps/&.svg:" \
+ bin/shutter || die "failed to fix trayicon"
+}
+
+src_install() {
+ dobin bin/${PN} || die "dobin failed"
+ insinto /usr/share/${PN}
+ doins -r share/${PN}/* || die "doins failed"
+ dodoc README || die "dodoc failed"
+ domenu share/applications/${PN}.desktop
+ # Man page is broken. Reconstruct it.
+ gunzip share/man/man1/${PN}.1.gz || die "gunzip failed"
+ doman share/man/man1/${PN}.1 || die "doman failed"
+ doicon share/pixmaps/${PN}.png
+ doins -r share/locale || die "doins failed"
+ insinto /usr/share/icons/hicolor
+ doins -r share/icons/hicolor/* || die "doins failed"
+ find "${D}"/usr/share/shutter/resources/system/plugins/ -type f ! -name '*.*' -exec chmod 755 {} \; \
+ || die "failed to make plugins executables"
+ find "${D}"/usr/share/shutter/resources/system/upload_plugins/upload -type f \
+ -name "*.pm" -exec chmod 755 {} \; || die "failed to make upload plugins executables"
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+
+ elog ""
+ elog "These optional dependencies provide additional functions:"
+ elog ""
+ elog "- media-libs/exiftool : Writing Exif information"
+ elog "- dev-libs/libappindicator : Status icon support for Unity"
+ elog "- dev-perl/{Net-OAuth,Path-Class}: Dropbox support"
+ elog "- dev-perl/JSON-XS : vgy.me image hosting support"
+ elog""
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+}
next reply other threads:[~2019-06-24 10:17 UTC|newest]
Thread overview: 44+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-06-24 10:17 Jonas Stein [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-11 20:54 [gentoo-commits] repo/gentoo:master commit in: x11-misc/shutter/ Andreas Sturmlechner
2024-07-04 21:02 Sam James
2024-07-04 21:02 Sam James
2024-05-09 13:18 Joonas Niilola
2023-05-08 9:11 Pacho Ramos
2023-05-02 15:21 Arthur Zamarin
2023-05-01 9:22 Sam James
2023-04-27 16:00 Pacho Ramos
2023-03-11 17:15 Sam James
2023-02-12 18:37 Jakov Smolić
2022-11-19 20:30 David Seifert
2021-12-06 11:31 Agostino Sarubbo
2021-12-06 7:08 Agostino Sarubbo
2021-10-27 13:44 Ionen Wolkens
2021-10-27 13:44 Ionen Wolkens
2021-10-18 17:45 Ionen Wolkens
2021-10-18 17:45 Ionen Wolkens
2021-10-12 7:14 Agostino Sarubbo
2021-09-10 6:28 Agostino Sarubbo
2021-09-10 6:26 Agostino Sarubbo
2021-09-05 7:58 Ionen Wolkens
2021-08-08 10:46 David Seifert
2021-08-08 10:46 David Seifert
2021-08-01 5:14 Sam James
2021-07-23 17:58 Sam James
2021-06-20 15:17 Andreas Sturmlechner
2021-06-20 15:17 Andreas Sturmlechner
2021-06-11 19:42 David Seifert
2021-06-11 8:55 David Seifert
2021-04-26 10:34 Sam James
2021-04-22 12:08 Sam James
2021-04-04 18:55 Andreas Sturmlechner
2021-03-08 13:29 Joonas Niilola
2020-11-09 7:33 Joonas Niilola
2020-11-09 7:33 Joonas Niilola
2020-09-07 8:55 David Seifert
2020-07-05 23:25 Andreas Sturmlechner
2020-06-11 5:07 Joonas Niilola
2017-10-04 9:17 Michał Górny
2017-02-11 19:47 David Seifert
2016-12-10 20:47 Markos Chandras
2016-08-22 10:02 Pacho Ramos
2015-09-26 9:14 Markos Chandras
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1561371436.1668173bee719d0cafb608bd3c29d39a8cf11bcf.jstein@gentoo \
--to=jstein@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox